Rule Sets - List Resource Usage
检查给定 Azure Front Door 配置文件下终结点的配额和实际使用情况。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/ruleSets/{ruleSetName}/usages?api-version=2025-04-15
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
profile
|
path | True |
string minLength: 1maxLength: 260 pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$ |
在资源组中唯一的 Azure Front Door 标准版或 Azure Front Door Premium 的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
Azure 订阅中的资源组的名称。 |
|
rule
|
path | True |
string |
全局唯一的配置文件下的规则集的名称。 |
|
subscription
|
path | True |
string |
Azure 订阅 ID。 |
|
api-version
|
query | True |
string |
要用于客户端请求的 API 的版本。 当前版本为 2025-04-15。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。 请求已成功。 |
|
| Other Status Codes |
Azure Front Door 错误响应,描述作失败的原因。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
RuleSets_ListResourceUsage
示例请求
POST https://management.azure.com/subscriptions/subid/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/ruleSets/ruleSet1/usages?api-version=2025-04-15
示例响应
{
"value": [
{
"unit": "Count",
"currentValue": 0,
"limit": 25,
"id": "/subscriptions/subid/resourcegroups/RG/providers/Microsoft.Cdn/profiles/profile1/rulesets/ruleSet1/rules/rule1",
"name": {
"value": "rule",
"localizedValue": "rule"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Afd |
错误响应 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
| Usage |
描述资源使用情况。 |
|
Usage |
用法名称。 |
|
Usages |
列表使用情况操作响应。 |
|
Usage |
描述度量单位的枚举。 |
AfdErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
Usage
描述资源使用情况。
| 名称 | 类型 | 说明 |
|---|---|---|
| currentValue |
integer (int64) |
使用情况的当前值。 |
| id |
string |
资源标识符。 |
| limit |
integer (int64) |
使用限制。 |
| name |
用法类型的名称。 |
|
| unit |
描述度量单位的枚举。 |
UsageName
用法名称。
| 名称 | 类型 | 说明 |
|---|---|---|
| localizedValue |
string |
描述资源名称的本地化字符串。 |
| value |
string |
描述资源名称的字符串。 |
UsagesListResult
列表使用情况操作响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
用于获取下一组结果的 URL。 |
| value |
Usage[] |
资源使用情况列表。 |
UsageUnit
描述度量单位的枚举。
| 值 | 说明 |
|---|---|
| Count |